# User Scenarios

Focus your documentation on scenarios users can perform.
Before documenting them, you need to make sure that they actually work.
You could perform a manual test every time you release your software, but it is time consuming and error-prone.

Alternatively, you could write automated tests to make sure that scenarios you are writing about are validated.
At test run time, capture test produced artifacts:
* Command line output
* Screenshots
* Business logic calculation
* REST responses
* Config files
* Script snippets
* Runtime dependencies DAGs
* ...

Include the captured artifacts inside your documentation to keep it up to date.

As you write your documentation you will come up with new scenarios to test. As you write tests, think about your documentation and what test-produced artifacts can improve it.

In this documentation you will learn how to include artifacts.
There are also examples of synergy between tests and documentation in the later chapters.